This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 447994 - wireshark hangs when clicking on Capture Interfaces "Options"
wireshark hangs when clicking on Capture Interfaces "Options"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 15:46 EDT by Charles R. Anderson
Modified: 2009-07-14 12:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:24:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stacktrace (6.23 KB, text/plain)
2008-12-05 00:07 EST, Andrew Schultz
no flags Details

  None (edit)
Description Charles R. Anderson 2008-05-22 15:46:44 EDT
Description of problem:

Clicking on the "Options" button in the Capture Interfaces dialog causes
wireshark to hang completely.

Version-Release number of selected component (if applicable):
1.0.0-2.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1. open wireshark
2. click Capture->Interfaces
3. click "Options" on any interface in the list
Comment 1 Radek Vokal 2008-05-22 15:58:18 EDT
can you please start wireshark from console/terminal and let me know what it
says? also if you can install the debuginfo package and send me a core.dump file.
Comment 2 Charles R. Anderson 2008-05-22 16:27:56 EDT
I am starting it from the terminal, and there is no output.  It doesn't crash,
so it doesn't create a core dump file.  I have to kill it manually to recover,
or click the X close box and wait for the "this window isn't responding" to pop up.
Comment 3 Radek Vokal 2008-09-10 07:07:36 EDT
I still can't reproduce your issue even with wireshark 1.0.3. Can you please retest with the latest version? Also remove ~/.wireshark directory and root/.wireshark
Comment 4 porkroast 2008-09-20 11:07:59 EDT
I experienced this "bug" also.

When wireshark starts, a small message window pops up in the upper left corner of the desktop warning the user about running programs as root, and waits for user input (click the "OK" button).  The main application window quickly covers it, and the main window won't respond until the user clicks OK on the 1st message window.

Thought I'd post this to save someone else a problem.
Comment 5 Andrew Schultz 2008-12-05 00:07:04 EST
Created attachment 325800 [details]
stacktrace

I'm seeing this on Fedora 10 (wireshark 1.0.3-1.fc10) with ~/.wireshark/ removed.  I'm attaching the stacktrace from gdb.
Comment 6 Charles R. Anderson 2008-12-13 16:52:54 EST
I no longer see this issue.  I'm currently using 1.0.3-1.fc10.

(In reply to comment #5)
> I'm seeing this on Fedora 10 (wireshark 1.0.3-1.fc10) with ~/.wireshark/
> removed.  I'm attaching the stacktrace from gdb.

Are you sure you dismissed the pop-under dialog box that says "Running as user root and group root.  This could be dangerous."?  It gets me every time, but my original issue was different, only hanging after clicking "Options".
Comment 7 Andrew Schultz 2008-12-13 19:11:16 EST
> Are you sure you dismissed the pop-under dialog box...

Yes.  I'm not sure how you could see this bug if you don't.  With the dialog up, I can't bring up the dialog with the "Options" button.  The UI is unresponsive but not frozen.
Comment 8 Jon Escombe 2008-12-18 08:00:08 EST
I also see this issue with wireshark-1.0.5-1.fc10.i386, clicking on any button within the Capture Interfaces window causes wireshark to hang.

Killing the running dumpcap process allows wireshark to continue. Strangely this only happens for certain user accounts on my machine, however I have not been able to determine what is different between working and non-working accounts.

Removing the ~/.wireshark directory makes no difference to this behaviour.
Comment 9 Vidhya 2008-12-31 05:53:35 EST
I too faced the same problem.
If you want to start capturing packets using an interface,
then you can follow below procedure.

1. Edit -> preferences -> Capture
You can select the interface name and save it.

Packets can then be captured by pressing 'Start a new live capture' icon.
Comment 10 Derek Atkins 2009-01-14 09:19:22 EST
I just upgraded to FC 10 and running wireshark-1.0.5-1.fc10.i386 I have this problem, too.  I started it from the terminal and get no output.  If I click on "List the available interfaces" and then select "wlan0" wireshark hangs like everyone else is reporting.

However the workaround in Comment #9 worked for me.
Comment 11 Jon Escombe 2009-03-02 07:24:31 EST
This issue is fixed by the following SIGPIPE patch, as applied to upstream SVN.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1740

Could this patch be applied to the current Fedora package until it's available in an upstream release?
Comment 12 Bug Zapper 2009-06-09 21:06:06 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Derek Atkins 2009-06-10 10:09:40 EDT
This is definitely still an issue in Fedora 10.  I haven't tried F11.
This isn't my bug so I can't change the version, it is IS still an issue.
Comment 14 Jon Escombe 2009-06-11 08:53:45 EDT
I can confirm it's fixed upstream in the version that's shipped with F11.
Comment 15 Bug Zapper 2009-07-14 12:24:46 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.